For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invoices

Retrieve invoice

get

Retrieve a specific invoice by ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Query parameters
hyperbooleanOptional

Activate id to hyperlink the response data.

Responses
200

Invoice retrieved successfully

application/json
or
get/api/v1/invoice/{id}
GET /api/v1/invoice/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "pk": 1,
  "number": "text",
  "invoice_type": "purchase",
  "order": {
    "pk": 1,
    "number": "ORDER12345",
    "channel": 1,
    "customer": 1,
    "date_placed": "2024-11-20T11:22:23.702774Z",
    "extra_field": {
      "special_note": "Handle with care"
    },
    "payment_option": 1,
    "payment_option_slug": "credit-card",
    "bin_number": "123456",
    "installment": 1,
    "installment_count": 6,
    "installment_interest_amount": 50,
    "cargo_company": 1,
    "is_send": false,
    "delivery_type": "next_day",
    "cancellation_info": {
      "reason": "Customer requested cancellation"
    },
    "cancel_status": "cancelled",
    "shipping_interest_amount": 10,
    "external_status": 1,
    "client_type": "default",
    "carrier_shipping_code": "TRACK12345",
    "segment": "premium",
    "checkout_provider_id": 12345,
    "status": 200,
    "currency": "try",
    "amount": 1000,
    "discount_amount": 50,
    "shipping_amount": 20,
    "shipping_tax_rate": 18,
    "refund_amount": 100,
    "discount_refund_amount": 10,
    "shipping_refund_amount": 5,
    "invoice_number": "INV123456",
    "invoice_date": "2024-11-21T11:22:23.702774Z",
    "e_archive_url": "https://earchive.example.com/invoice/123",
    "tracking_number": "TRACK12345",
    "defined_tracking_url": "https://tracking.example.com/track/123",
    "shipping_company": "yurtici",
    "remote_addr": "192.168.0.1",
    "has_gift_box": false,
    "gift_box_note": "Happy Birthday!",
    "language_code": "en",
    "notes": "Leave at the front door.",
    "delivery_range": {
      "start": "2026-01-01T00:00:00.000Z",
      "end": "2026-01-01T00:00:00.000Z"
    },
    "shipping_option_slug": "standard-shipping",
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  },
  "channel": {
    "id": 1,
    "name": "Commerce Channel",
    "catalog": 1,
    "channel_type": "web",
    "conf": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "category_tree": "text",
    "is_active": true,
    "schema": {},
    "created_date": "2024-11-20T11:22:23.702774Z",
    "modified_date": "2024-11-20T11:22:23.702774Z"
  },
  "related_invoice": {
    "pk": 1,
    "number": "text",
    "invoice_type": "purchase",
    "order": {
      "pk": 1,
      "number": "ORDER12345",
      "channel": 1,
      "customer": 1,
      "date_placed": "2024-11-20T11:22:23.702774Z",
      "extra_field": {
        "special_note": "Handle with care"
      },
      "payment_option": 1,
      "payment_option_slug": "credit-card",
      "bin_number": "123456",
      "installment": 1,
      "installment_count": 6,
      "installment_interest_amount": 50,
      "cargo_company": 1,
      "is_send": false,
      "delivery_type": "next_day",
      "cancellation_info": {
        "reason": "Customer requested cancellation"
      },
      "cancel_status": "cancelled",
      "shipping_interest_amount": 10,
      "external_status": 1,
      "client_type": "default",
      "carrier_shipping_code": "TRACK12345",
      "segment": "premium",
      "checkout_provider_id": 12345,
      "status": 200,
      "currency": "try",
      "amount": 1000,
      "discount_amount": 50,
      "shipping_amount": 20,
      "shipping_tax_rate": 18,
      "refund_amount": 100,
      "discount_refund_amount": 10,
      "shipping_refund_amount": 5,
      "invoice_number": "INV123456",
      "invoice_date": "2024-11-21T11:22:23.702774Z",
      "e_archive_url": "https://earchive.example.com/invoice/123",
      "tracking_number": "TRACK12345",
      "defined_tracking_url": "https://tracking.example.com/track/123",
      "shipping_company": "yurtici",
      "remote_addr": "192.168.0.1",
      "has_gift_box": false,
      "gift_box_note": "Happy Birthday!",
      "language_code": "en",
      "notes": "Leave at the front door.",
      "delivery_range": {
        "start": "2026-01-01T00:00:00.000Z",
        "end": "2026-01-01T00:00:00.000Z"
      },
      "shipping_option_slug": "standard-shipping",
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z"
    },
    "channel": {
      "id": 1,
      "name": "Commerce Channel",
      "catalog": 1,
      "channel_type": "web",
      "conf": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "category_tree": "text",
      "is_active": true,
      "schema": {},
      "created_date": "2024-11-20T11:22:23.702774Z",
      "modified_date": "2024-11-20T11:22:23.702774Z"
    },
    "related_invoice": {
      "pk": 1,
      "number": "text",
      "invoice_type": "purchase",
      "order": {
        "pk": 1,
        "number": "ORDER12345",
        "channel": 1,
        "customer": 1,
        "date_placed": "2024-11-20T11:22:23.702774Z",
        "extra_field": {
          "special_note": "Handle with care"
        },
        "payment_option": 1,
        "payment_option_slug": "credit-card",
        "bin_number": "123456",
        "installment": 1,
        "installment_count": 6,
        "installment_interest_amount": 50,
        "cargo_company": 1,
        "is_send": false,
        "delivery_type": "next_day",
        "cancellation_info": {
          "reason": "Customer requested cancellation"
        },
        "cancel_status": "cancelled",
        "shipping_interest_amount": 10,
        "external_status": 1,
        "client_type": "default",
        "carrier_shipping_code": "TRACK12345",
        "segment": "premium",
        "checkout_provider_id": 12345,
        "status": 200,
        "currency": "try",
        "amount": 1000,
        "discount_amount": 50,
        "shipping_amount": 20,
        "shipping_tax_rate": 18,
        "refund_amount": 100,
        "discount_refund_amount": 10,
        "shipping_refund_amount": 5,
        "invoice_number": "INV123456",
        "invoice_date": "2024-11-21T11:22:23.702774Z",
        "e_archive_url": "https://earchive.example.com/invoice/123",
        "tracking_number": "TRACK12345",
        "defined_tracking_url": "https://tracking.example.com/track/123",
        "shipping_company": "yurtici",
        "remote_addr": "192.168.0.1",
        "has_gift_box": false,
        "gift_box_note": "Happy Birthday!",
        "language_code": "en",
        "notes": "Leave at the front door.",
        "delivery_range": {
          "start": "2026-01-01T00:00:00.000Z",
          "end": "2026-01-01T00:00:00.000Z"
        },
        "shipping_option_slug": "standard-shipping",
        "created_date": "2026-01-01T00:00:00.000Z",
        "modified_date": "2026-01-01T00:00:00.000Z"
      },
      "channel": {
        "id": 1,
        "name": "Commerce Channel",
        "catalog": 1,
        "channel_type": "web",
        "conf": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "category_tree": "text",
        "is_active": true,
        "schema": {},
        "created_date": "2024-11-20T11:22:23.702774Z",
        "modified_date": "2024-11-20T11:22:23.702774Z"
      },
      "related_invoice": {
        "pk": 1,
        "number": "text",
        "invoice_type": "purchase",
        "order": {
          "pk": 1,
          "number": "ORDER12345",
          "channel": 1,
          "customer": 1,
          "date_placed": "2024-11-20T11:22:23.702774Z",
          "extra_field": {
            "special_note": "Handle with care"
          },
          "payment_option": 1,
          "payment_option_slug": "credit-card",
          "bin_number": "123456",
          "installment": 1,
          "installment_count": 6,
          "installment_interest_amount": 50,
          "cargo_company": 1,
          "is_send": false,
          "delivery_type": "next_day",
          "cancellation_info": {
            "reason": "Customer requested cancellation"
          },
          "cancel_status": "cancelled",
          "shipping_interest_amount": 10,
          "external_status": 1,
          "client_type": "default",
          "carrier_shipping_code": "TRACK12345",
          "segment": "premium",
          "checkout_provider_id": 12345,
          "status": 200,
          "currency": "try",
          "amount": 1000,
          "discount_amount": 50,
          "shipping_amount": 20,
          "shipping_tax_rate": 18,
          "refund_amount": 100,
          "discount_refund_amount": 10,
          "shipping_refund_amount": 5,
          "invoice_number": "INV123456",
          "invoice_date": "2024-11-21T11:22:23.702774Z",
          "e_archive_url": "https://earchive.example.com/invoice/123",
          "tracking_number": "TRACK12345",
          "defined_tracking_url": "https://tracking.example.com/track/123",
          "shipping_company": "yurtici",
          "remote_addr": "192.168.0.1",
          "has_gift_box": false,
          "gift_box_note": "Happy Birthday!",
          "language_code": "en",
          "notes": "Leave at the front door.",
          "delivery_range": {
            "start": "2026-01-01T00:00:00.000Z",
            "end": "2026-01-01T00:00:00.000Z"
          },
          "shipping_option_slug": "standard-shipping",
          "created_date": "2026-01-01T00:00:00.000Z",
          "modified_date": "2026-01-01T00:00:00.000Z"
        },
        "channel": {
          "id": 1,
          "name": "Commerce Channel",
          "catalog": 1,
          "channel_type": "web",
          "conf": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "category_tree": "text",
          "is_active": true,
          "schema": {},
          "created_date": "2024-11-20T11:22:23.702774Z",
          "modified_date": "2024-11-20T11:22:23.702774Z"
        },
        "related_invoice": {
          "pk": 1,
          "number": "text",
          "invoice_type": "purchase",
          "order": {
            "pk": 1,
            "number": "ORDER12345",
            "channel": 1,
            "customer": 1,
            "date_placed": "2024-11-20T11:22:23.702774Z",
            "extra_field": {
              "special_note": "Handle with care"
            },
            "payment_option": 1,
            "payment_option_slug": "credit-card",
            "bin_number": "123456",
            "installment": 1,
            "installment_count": 6,
            "installment_interest_amount": 50,
            "cargo_company": 1,
            "is_send": false,
            "delivery_type": "next_day",
            "cancellation_info": {
              "reason": "Customer requested cancellation"
            },
            "cancel_status": "cancelled",
            "shipping_interest_amount": 10,
            "external_status": 1,
            "client_type": "default",
            "carrier_shipping_code": "TRACK12345",
            "segment": "premium",
            "checkout_provider_id": 12345,
            "status": 200,
            "currency": "try",
            "amount": 1000,
            "discount_amount": 50,
            "shipping_amount": 20,
            "shipping_tax_rate": 18,
            "refund_amount": 100,
            "discount_refund_amount": 10,
            "shipping_refund_amount": 5,
            "invoice_number": "INV123456",
            "invoice_date": "2024-11-21T11:22:23.702774Z",
            "e_archive_url": "https://earchive.example.com/invoice/123",
            "tracking_number": "TRACK12345",
            "defined_tracking_url": "https://tracking.example.com/track/123",
            "shipping_company": "yurtici",
            "remote_addr": "192.168.0.1",
            "has_gift_box": false,
            "gift_box_note": "Happy Birthday!",
            "language_code": "en",
            "notes": "Leave at the front door.",
            "delivery_range": {
              "start": "2026-01-01T00:00:00.000Z",
              "end": "2026-01-01T00:00:00.000Z"
            },
            "shipping_option_slug": "standard-shipping",
            "created_date": "2026-01-01T00:00:00.000Z",
            "modified_date": "2026-01-01T00:00:00.000Z"
          },
          "channel": {
            "id": 1,
            "name": "Commerce Channel",
            "catalog": 1,
            "channel_type": "web",
            "conf": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "category_tree": "text",
            "is_active": true,
            "schema": {},
            "created_date": "2024-11-20T11:22:23.702774Z",
            "modified_date": "2024-11-20T11:22:23.702774Z"
          },
          "related_invoice": "[Circular Reference]"
        }
      }
    }
  }
}

Retrieve detailed invoice

get

Retrieve a specific invoice by ID with detailed information.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Query parameters
hyperbooleanOptional

Activate id to hyperlink the response data.

Responses
200

Detailed invoice retrieved successfully

application/json
or
get/api/v1/invoice/{id}/detailed/
GET /api/v1/invoice/{id}/detailed/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "pk": 1,
  "number": "text",
  "invoice_type": "purchase",
  "order": {
    "pk": 1,
    "number": "ORDER12345",
    "channel": 1,
    "customer": 1,
    "date_placed": "2024-11-20T11:22:23.702774Z",
    "extra_field": {
      "special_note": "Handle with care"
    },
    "payment_option": 1,
    "payment_option_slug": "credit-card",
    "bin_number": "123456",
    "installment": 1,
    "installment_count": 6,
    "installment_interest_amount": 50,
    "cargo_company": 1,
    "is_send": false,
    "delivery_type": "next_day",
    "cancellation_info": {
      "reason": "Customer requested cancellation"
    },
    "cancel_status": "cancelled",
    "shipping_interest_amount": 10,
    "external_status": 1,
    "client_type": "default",
    "carrier_shipping_code": "TRACK12345",
    "segment": "premium",
    "checkout_provider_id": 12345,
    "status": 200,
    "currency": "try",
    "amount": 1000,
    "discount_amount": 50,
    "shipping_amount": 20,
    "shipping_tax_rate": 18,
    "refund_amount": 100,
    "discount_refund_amount": 10,
    "shipping_refund_amount": 5,
    "invoice_number": "INV123456",
    "invoice_date": "2024-11-21T11:22:23.702774Z",
    "e_archive_url": "https://earchive.example.com/invoice/123",
    "tracking_number": "TRACK12345",
    "defined_tracking_url": "https://tracking.example.com/track/123",
    "shipping_company": "yurtici",
    "remote_addr": "192.168.0.1",
    "has_gift_box": false,
    "gift_box_note": "Happy Birthday!",
    "language_code": "en",
    "notes": "Leave at the front door.",
    "delivery_range": {
      "start": "2026-01-01T00:00:00.000Z",
      "end": "2026-01-01T00:00:00.000Z"
    },
    "shipping_option_slug": "standard-shipping",
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  },
  "channel": {
    "id": 1,
    "name": "Commerce Channel",
    "catalog": 1,
    "channel_type": "web",
    "conf": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "category_tree": "text",
    "is_active": true,
    "schema": {},
    "created_date": "2024-11-20T11:22:23.702774Z",
    "modified_date": "2024-11-20T11:22:23.702774Z"
  },
  "related_invoice": {
    "pk": 1,
    "number": "text",
    "invoice_type": "purchase",
    "order": {
      "pk": 1,
      "number": "ORDER12345",
      "channel": 1,
      "customer": 1,
      "date_placed": "2024-11-20T11:22:23.702774Z",
      "extra_field": {
        "special_note": "Handle with care"
      },
      "payment_option": 1,
      "payment_option_slug": "credit-card",
      "bin_number": "123456",
      "installment": 1,
      "installment_count": 6,
      "installment_interest_amount": 50,
      "cargo_company": 1,
      "is_send": false,
      "delivery_type": "next_day",
      "cancellation_info": {
        "reason": "Customer requested cancellation"
      },
      "cancel_status": "cancelled",
      "shipping_interest_amount": 10,
      "external_status": 1,
      "client_type": "default",
      "carrier_shipping_code": "TRACK12345",
      "segment": "premium",
      "checkout_provider_id": 12345,
      "status": 200,
      "currency": "try",
      "amount": 1000,
      "discount_amount": 50,
      "shipping_amount": 20,
      "shipping_tax_rate": 18,
      "refund_amount": 100,
      "discount_refund_amount": 10,
      "shipping_refund_amount": 5,
      "invoice_number": "INV123456",
      "invoice_date": "2024-11-21T11:22:23.702774Z",
      "e_archive_url": "https://earchive.example.com/invoice/123",
      "tracking_number": "TRACK12345",
      "defined_tracking_url": "https://tracking.example.com/track/123",
      "shipping_company": "yurtici",
      "remote_addr": "192.168.0.1",
      "has_gift_box": false,
      "gift_box_note": "Happy Birthday!",
      "language_code": "en",
      "notes": "Leave at the front door.",
      "delivery_range": {
        "start": "2026-01-01T00:00:00.000Z",
        "end": "2026-01-01T00:00:00.000Z"
      },
      "shipping_option_slug": "standard-shipping",
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z"
    },
    "channel": {
      "id": 1,
      "name": "Commerce Channel",
      "catalog": 1,
      "channel_type": "web",
      "conf": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "category_tree": "text",
      "is_active": true,
      "schema": {},
      "created_date": "2024-11-20T11:22:23.702774Z",
      "modified_date": "2024-11-20T11:22:23.702774Z"
    },
    "related_invoice": {
      "pk": 1,
      "number": "text",
      "invoice_type": "purchase",
      "order": {
        "pk": 1,
        "number": "ORDER12345",
        "channel": 1,
        "customer": 1,
        "date_placed": "2024-11-20T11:22:23.702774Z",
        "extra_field": {
          "special_note": "Handle with care"
        },
        "payment_option": 1,
        "payment_option_slug": "credit-card",
        "bin_number": "123456",
        "installment": 1,
        "installment_count": 6,
        "installment_interest_amount": 50,
        "cargo_company": 1,
        "is_send": false,
        "delivery_type": "next_day",
        "cancellation_info": {
          "reason": "Customer requested cancellation"
        },
        "cancel_status": "cancelled",
        "shipping_interest_amount": 10,
        "external_status": 1,
        "client_type": "default",
        "carrier_shipping_code": "TRACK12345",
        "segment": "premium",
        "checkout_provider_id": 12345,
        "status": 200,
        "currency": "try",
        "amount": 1000,
        "discount_amount": 50,
        "shipping_amount": 20,
        "shipping_tax_rate": 18,
        "refund_amount": 100,
        "discount_refund_amount": 10,
        "shipping_refund_amount": 5,
        "invoice_number": "INV123456",
        "invoice_date": "2024-11-21T11:22:23.702774Z",
        "e_archive_url": "https://earchive.example.com/invoice/123",
        "tracking_number": "TRACK12345",
        "defined_tracking_url": "https://tracking.example.com/track/123",
        "shipping_company": "yurtici",
        "remote_addr": "192.168.0.1",
        "has_gift_box": false,
        "gift_box_note": "Happy Birthday!",
        "language_code": "en",
        "notes": "Leave at the front door.",
        "delivery_range": {
          "start": "2026-01-01T00:00:00.000Z",
          "end": "2026-01-01T00:00:00.000Z"
        },
        "shipping_option_slug": "standard-shipping",
        "created_date": "2026-01-01T00:00:00.000Z",
        "modified_date": "2026-01-01T00:00:00.000Z"
      },
      "channel": {
        "id": 1,
        "name": "Commerce Channel",
        "catalog": 1,
        "channel_type": "web",
        "conf": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "category_tree": "text",
        "is_active": true,
        "schema": {},
        "created_date": "2024-11-20T11:22:23.702774Z",
        "modified_date": "2024-11-20T11:22:23.702774Z"
      },
      "related_invoice": {
        "pk": 1,
        "number": "text",
        "invoice_type": "purchase",
        "order": {
          "pk": 1,
          "number": "ORDER12345",
          "channel": 1,
          "customer": 1,
          "date_placed": "2024-11-20T11:22:23.702774Z",
          "extra_field": {
            "special_note": "Handle with care"
          },
          "payment_option": 1,
          "payment_option_slug": "credit-card",
          "bin_number": "123456",
          "installment": 1,
          "installment_count": 6,
          "installment_interest_amount": 50,
          "cargo_company": 1,
          "is_send": false,
          "delivery_type": "next_day",
          "cancellation_info": {
            "reason": "Customer requested cancellation"
          },
          "cancel_status": "cancelled",
          "shipping_interest_amount": 10,
          "external_status": 1,
          "client_type": "default",
          "carrier_shipping_code": "TRACK12345",
          "segment": "premium",
          "checkout_provider_id": 12345,
          "status": 200,
          "currency": "try",
          "amount": 1000,
          "discount_amount": 50,
          "shipping_amount": 20,
          "shipping_tax_rate": 18,
          "refund_amount": 100,
          "discount_refund_amount": 10,
          "shipping_refund_amount": 5,
          "invoice_number": "INV123456",
          "invoice_date": "2024-11-21T11:22:23.702774Z",
          "e_archive_url": "https://earchive.example.com/invoice/123",
          "tracking_number": "TRACK12345",
          "defined_tracking_url": "https://tracking.example.com/track/123",
          "shipping_company": "yurtici",
          "remote_addr": "192.168.0.1",
          "has_gift_box": false,
          "gift_box_note": "Happy Birthday!",
          "language_code": "en",
          "notes": "Leave at the front door.",
          "delivery_range": {
            "start": "2026-01-01T00:00:00.000Z",
            "end": "2026-01-01T00:00:00.000Z"
          },
          "shipping_option_slug": "standard-shipping",
          "created_date": "2026-01-01T00:00:00.000Z",
          "modified_date": "2026-01-01T00:00:00.000Z"
        },
        "channel": {
          "id": 1,
          "name": "Commerce Channel",
          "catalog": 1,
          "channel_type": "web",
          "conf": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "category_tree": "text",
          "is_active": true,
          "schema": {},
          "created_date": "2024-11-20T11:22:23.702774Z",
          "modified_date": "2024-11-20T11:22:23.702774Z"
        },
        "related_invoice": {
          "pk": 1,
          "number": "text",
          "invoice_type": "purchase",
          "order": {
            "pk": 1,
            "number": "ORDER12345",
            "channel": 1,
            "customer": 1,
            "date_placed": "2024-11-20T11:22:23.702774Z",
            "extra_field": {
              "special_note": "Handle with care"
            },
            "payment_option": 1,
            "payment_option_slug": "credit-card",
            "bin_number": "123456",
            "installment": 1,
            "installment_count": 6,
            "installment_interest_amount": 50,
            "cargo_company": 1,
            "is_send": false,
            "delivery_type": "next_day",
            "cancellation_info": {
              "reason": "Customer requested cancellation"
            },
            "cancel_status": "cancelled",
            "shipping_interest_amount": 10,
            "external_status": 1,
            "client_type": "default",
            "carrier_shipping_code": "TRACK12345",
            "segment": "premium",
            "checkout_provider_id": 12345,
            "status": 200,
            "currency": "try",
            "amount": 1000,
            "discount_amount": 50,
            "shipping_amount": 20,
            "shipping_tax_rate": 18,
            "refund_amount": 100,
            "discount_refund_amount": 10,
            "shipping_refund_amount": 5,
            "invoice_number": "INV123456",
            "invoice_date": "2024-11-21T11:22:23.702774Z",
            "e_archive_url": "https://earchive.example.com/invoice/123",
            "tracking_number": "TRACK12345",
            "defined_tracking_url": "https://tracking.example.com/track/123",
            "shipping_company": "yurtici",
            "remote_addr": "192.168.0.1",
            "has_gift_box": false,
            "gift_box_note": "Happy Birthday!",
            "language_code": "en",
            "notes": "Leave at the front door.",
            "delivery_range": {
              "start": "2026-01-01T00:00:00.000Z",
              "end": "2026-01-01T00:00:00.000Z"
            },
            "shipping_option_slug": "standard-shipping",
            "created_date": "2026-01-01T00:00:00.000Z",
            "modified_date": "2026-01-01T00:00:00.000Z"
          },
          "channel": {
            "id": 1,
            "name": "Commerce Channel",
            "catalog": 1,
            "channel_type": "web",
            "conf": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "category_tree": "text",
            "is_active": true,
            "schema": {},
            "created_date": "2024-11-20T11:22:23.702774Z",
            "modified_date": "2024-11-20T11:22:23.702774Z"
          },
          "related_invoice": "[Circular Reference]"
        }
      }
    }
  },
  "invoiceitem_set": [
    {
      "pk": 1,
      "invoice": 1,
      "order_item": 1,
      "tax_rate": 1,
      "tax_amount": 1,
      "discount_rate": 1,
      "discount_amount": 1,
      "total_amount": 1,
      "net_amount": 1,
      "related_invoice_item": 1
    }
  ],
  "paymentinvoiceitem_set": [
    {
      "pk": 1,
      "invoice": 1,
      "order_transaction": 1,
      "instant_amount": 1,
      "modified_date": "2026-01-01T00:00:00.000Z",
      "created_date": "2026-01-01T00:00:00.000Z"
    }
  ],
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "modified_date": "2026-01-01T00:00:00.000Z",
  "created_date": "2026-01-01T00:00:00.000Z"
}

List invoices

get

Retrieve a list of invoices with optional filtering.

Authorizations
AuthorizationstringRequired
Query parameters
hyperbooleanOptional

Activate id to hyperlink the response data.

pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
uuidstringOptional

Filter by UUID.

Example: 123e4567-e89b-12d3-a456-426614174000
invoice_typestring · enumOptional

Filter by invoice type.

Possible values:
ordernumberOptional

Filter by order ID.

Example: 123
channelintegerOptional

ID of the channel the customer belongs to

Example: 5
related_invoiceintegerOptional

Filter by related invoice.

created_datestring · date-timeOptional

Filter by creation date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: created_date__gt=2024-01-01T00:00:00Z
modified_datestring · date-timeOptional

Filter by modification date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: modified_date__lt=2024-01-01T00:00:00Z
pk__ininteger[]Optional

Filter by multiple primary key values (comma-separated list of integers)

pk__gtstringOptional

Filter by primary key greater than a specific value.

pk__gteintegerOptional

Filters by primary key greater than or equal to the given value

pk__ltintegerOptional

Filters by primary key less than the given value

pk__lteintegerOptional

Filters by primary key less than or equal to the given value

Responses
200

A list of invoices.

application/json
countintegerOptional

Total number of results.

nextstring · uri · nullableOptional

URL of the next page of results.

previousstring · uri · nullableOptional

URL of the previous page of results.

get/api/v1/invoice/
GET /api/v1/invoice/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "pk": 1,
      "number": "text",
      "invoice_type": "purchase",
      "order": {
        "pk": 1,
        "number": "ORDER12345",
        "channel": 1,
        "customer": 1,
        "date_placed": "2024-11-20T11:22:23.702774Z",
        "extra_field": {
          "special_note": "Handle with care"
        },
        "payment_option": 1,
        "payment_option_slug": "credit-card",
        "bin_number": "123456",
        "installment": 1,
        "installment_count": 6,
        "installment_interest_amount": 50,
        "cargo_company": 1,
        "is_send": false,
        "delivery_type": "next_day",
        "cancellation_info": {
          "reason": "Customer requested cancellation"
        },
        "cancel_status": "cancelled",
        "shipping_interest_amount": 10,
        "external_status": 1,
        "client_type": "default",
        "carrier_shipping_code": "TRACK12345",
        "segment": "premium",
        "checkout_provider_id": 12345,
        "status": 200,
        "currency": "try",
        "amount": 1000,
        "discount_amount": 50,
        "shipping_amount": 20,
        "shipping_tax_rate": 18,
        "refund_amount": 100,
        "discount_refund_amount": 10,
        "shipping_refund_amount": 5,
        "invoice_number": "INV123456",
        "invoice_date": "2024-11-21T11:22:23.702774Z",
        "e_archive_url": "https://earchive.example.com/invoice/123",
        "tracking_number": "TRACK12345",
        "defined_tracking_url": "https://tracking.example.com/track/123",
        "shipping_company": "yurtici",
        "remote_addr": "192.168.0.1",
        "has_gift_box": false,
        "gift_box_note": "Happy Birthday!",
        "language_code": "en",
        "notes": "Leave at the front door.",
        "delivery_range": {
          "start": "2026-01-01T00:00:00.000Z",
          "end": "2026-01-01T00:00:00.000Z"
        },
        "shipping_option_slug": "standard-shipping",
        "created_date": "2026-01-01T00:00:00.000Z",
        "modified_date": "2026-01-01T00:00:00.000Z"
      },
      "channel": {
        "id": 1,
        "name": "Commerce Channel",
        "catalog": 1,
        "channel_type": "web",
        "conf": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "category_tree": "text",
        "is_active": true,
        "schema": {},
        "created_date": "2024-11-20T11:22:23.702774Z",
        "modified_date": "2024-11-20T11:22:23.702774Z"
      },
      "related_invoice": {
        "pk": 1,
        "number": "text",
        "invoice_type": "purchase",
        "order": {
          "pk": 1,
          "number": "ORDER12345",
          "channel": 1,
          "customer": 1,
          "date_placed": "2024-11-20T11:22:23.702774Z",
          "extra_field": {
            "special_note": "Handle with care"
          },
          "payment_option": 1,
          "payment_option_slug": "credit-card",
          "bin_number": "123456",
          "installment": 1,
          "installment_count": 6,
          "installment_interest_amount": 50,
          "cargo_company": 1,
          "is_send": false,
          "delivery_type": "next_day",
          "cancellation_info": {
            "reason": "Customer requested cancellation"
          },
          "cancel_status": "cancelled",
          "shipping_interest_amount": 10,
          "external_status": 1,
          "client_type": "default",
          "carrier_shipping_code": "TRACK12345",
          "segment": "premium",
          "checkout_provider_id": 12345,
          "status": 200,
          "currency": "try",
          "amount": 1000,
          "discount_amount": 50,
          "shipping_amount": 20,
          "shipping_tax_rate": 18,
          "refund_amount": 100,
          "discount_refund_amount": 10,
          "shipping_refund_amount": 5,
          "invoice_number": "INV123456",
          "invoice_date": "2024-11-21T11:22:23.702774Z",
          "e_archive_url": "https://earchive.example.com/invoice/123",
          "tracking_number": "TRACK12345",
          "defined_tracking_url": "https://tracking.example.com/track/123",
          "shipping_company": "yurtici",
          "remote_addr": "192.168.0.1",
          "has_gift_box": false,
          "gift_box_note": "Happy Birthday!",
          "language_code": "en",
          "notes": "Leave at the front door.",
          "delivery_range": {
            "start": "2026-01-01T00:00:00.000Z",
            "end": "2026-01-01T00:00:00.000Z"
          },
          "shipping_option_slug": "standard-shipping",
          "created_date": "2026-01-01T00:00:00.000Z",
          "modified_date": "2026-01-01T00:00:00.000Z"
        },
        "channel": {
          "id": 1,
          "name": "Commerce Channel",
          "catalog": 1,
          "channel_type": "web",
          "conf": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "category_tree": "text",
          "is_active": true,
          "schema": {},
          "created_date": "2024-11-20T11:22:23.702774Z",
          "modified_date": "2024-11-20T11:22:23.702774Z"
        },
        "related_invoice": {
          "pk": 1,
          "number": "text",
          "invoice_type": "purchase",
          "order": {
            "pk": 1,
            "number": "ORDER12345",
            "channel": 1,
            "customer": 1,
            "date_placed": "2024-11-20T11:22:23.702774Z",
            "extra_field": {
              "special_note": "Handle with care"
            },
            "payment_option": 1,
            "payment_option_slug": "credit-card",
            "bin_number": "123456",
            "installment": 1,
            "installment_count": 6,
            "installment_interest_amount": 50,
            "cargo_company": 1,
            "is_send": false,
            "delivery_type": "next_day",
            "cancellation_info": {
              "reason": "Customer requested cancellation"
            },
            "cancel_status": "cancelled",
            "shipping_interest_amount": 10,
            "external_status": 1,
            "client_type": "default",
            "carrier_shipping_code": "TRACK12345",
            "segment": "premium",
            "checkout_provider_id": 12345,
            "status": 200,
            "currency": "try",
            "amount": 1000,
            "discount_amount": 50,
            "shipping_amount": 20,
            "shipping_tax_rate": 18,
            "refund_amount": 100,
            "discount_refund_amount": 10,
            "shipping_refund_amount": 5,
            "invoice_number": "INV123456",
            "invoice_date": "2024-11-21T11:22:23.702774Z",
            "e_archive_url": "https://earchive.example.com/invoice/123",
            "tracking_number": "TRACK12345",
            "defined_tracking_url": "https://tracking.example.com/track/123",
            "shipping_company": "yurtici",
            "remote_addr": "192.168.0.1",
            "has_gift_box": false,
            "gift_box_note": "Happy Birthday!",
            "language_code": "en",
            "notes": "Leave at the front door.",
            "delivery_range": {
              "start": "2026-01-01T00:00:00.000Z",
              "end": "2026-01-01T00:00:00.000Z"
            },
            "shipping_option_slug": "standard-shipping",
            "created_date": "2026-01-01T00:00:00.000Z",
            "modified_date": "2026-01-01T00:00:00.000Z"
          },
          "channel": {
            "id": 1,
            "name": "Commerce Channel",
            "catalog": 1,
            "channel_type": "web",
            "conf": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "category_tree": "text",
            "is_active": true,
            "schema": {},
            "created_date": "2024-11-20T11:22:23.702774Z",
            "modified_date": "2024-11-20T11:22:23.702774Z"
          },
          "related_invoice": {
            "pk": 1,
            "number": "text",
            "invoice_type": "purchase",
            "order": {
              "pk": 1,
              "number": "ORDER12345",
              "channel": 1,
              "customer": 1,
              "date_placed": "2024-11-20T11:22:23.702774Z",
              "extra_field": {
                "special_note": "Handle with care"
              },
              "payment_option": 1,
              "payment_option_slug": "credit-card",
              "bin_number": "123456",
              "installment": 1,
              "installment_count": 6,
              "installment_interest_amount": 50,
              "cargo_company": 1,
              "is_send": false,
              "delivery_type": "next_day",
              "cancellation_info": {
                "reason": "Customer requested cancellation"
              },
              "cancel_status": "cancelled",
              "shipping_interest_amount": 10,
              "external_status": 1,
              "client_type": "default",
              "carrier_shipping_code": "TRACK12345",
              "segment": "premium",
              "checkout_provider_id": 12345,
              "status": 200,
              "currency": "try",
              "amount": 1000,
              "discount_amount": 50,
              "shipping_amount": 20,
              "shipping_tax_rate": 18,
              "refund_amount": 100,
              "discount_refund_amount": 10,
              "shipping_refund_amount": 5,
              "invoice_number": "INV123456",
              "invoice_date": "2024-11-21T11:22:23.702774Z",
              "e_archive_url": "https://earchive.example.com/invoice/123",
              "tracking_number": "TRACK12345",
              "defined_tracking_url": "https://tracking.example.com/track/123",
              "shipping_company": "yurtici",
              "remote_addr": "192.168.0.1",
              "has_gift_box": false,
              "gift_box_note": "Happy Birthday!",
              "language_code": "en",
              "notes": "Leave at the front door.",
              "delivery_range": {
                "start": "2026-01-01T00:00:00.000Z",
                "end": "2026-01-01T00:00:00.000Z"
              },
              "shipping_option_slug": "standard-shipping",
              "created_date": "2026-01-01T00:00:00.000Z",
              "modified_date": "2026-01-01T00:00:00.000Z"
            },
            "channel": {
              "id": 1,
              "name": "Commerce Channel",
              "catalog": 1,
              "channel_type": "web",
              "conf": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "category_tree": "text",
              "is_active": true,
              "schema": {},
              "created_date": "2024-11-20T11:22:23.702774Z",
              "modified_date": "2024-11-20T11:22:23.702774Z"
            },
            "related_invoice": "[Circular Reference]"
          }
        }
      }
    }
  ]
}

List invoices

get

Retrieve a list of invoices with optional filtering.

Authorizations
AuthorizationstringRequired
Query parameters
hyperbooleanOptional

Activate id to hyperlink the response data.

pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
uuidstringOptional

Filter by UUID.

Example: 123e4567-e89b-12d3-a456-426614174000
invoice_typestring · enumOptional

Filter by invoice type.

Possible values:
ordernumberOptional

Filter by order ID.

Example: 123
channelintegerOptional

ID of the channel the customer belongs to

Example: 5
related_invoiceintegerOptional

Filter by related invoice.

created_datestring · date-timeOptional

Filter by creation date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: created_date__gt=2024-01-01T00:00:00Z
modified_datestring · date-timeOptional

Filter by modification date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: modified_date__lt=2024-01-01T00:00:00Z
pk__ininteger[]Optional

Filter by multiple primary key values (comma-separated list of integers)

pk__gtstringOptional

Filter by primary key greater than a specific value.

pk__gteintegerOptional

Filters by primary key greater than or equal to the given value

pk__ltintegerOptional

Filters by primary key less than the given value

pk__lteintegerOptional

Filters by primary key less than or equal to the given value

Responses
200

A list of invoices.

application/json
countintegerOptional

Total number of results.

nextstring · uri · nullableOptional

URL of the next page of results.

previousstring · uri · nullableOptional

URL of the previous page of results.

get/api/v1/invoice/detailed/
GET /api/v1/invoice/detailed/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "pk": 1,
      "number": "text",
      "invoice_type": "purchase",
      "order": {
        "pk": 1,
        "number": "ORDER12345",
        "channel": 1,
        "customer": 1,
        "date_placed": "2024-11-20T11:22:23.702774Z",
        "extra_field": {
          "special_note": "Handle with care"
        },
        "payment_option": 1,
        "payment_option_slug": "credit-card",
        "bin_number": "123456",
        "installment": 1,
        "installment_count": 6,
        "installment_interest_amount": 50,
        "cargo_company": 1,
        "is_send": false,
        "delivery_type": "next_day",
        "cancellation_info": {
          "reason": "Customer requested cancellation"
        },
        "cancel_status": "cancelled",
        "shipping_interest_amount": 10,
        "external_status": 1,
        "client_type": "default",
        "carrier_shipping_code": "TRACK12345",
        "segment": "premium",
        "checkout_provider_id": 12345,
        "status": 200,
        "currency": "try",
        "amount": 1000,
        "discount_amount": 50,
        "shipping_amount": 20,
        "shipping_tax_rate": 18,
        "refund_amount": 100,
        "discount_refund_amount": 10,
        "shipping_refund_amount": 5,
        "invoice_number": "INV123456",
        "invoice_date": "2024-11-21T11:22:23.702774Z",
        "e_archive_url": "https://earchive.example.com/invoice/123",
        "tracking_number": "TRACK12345",
        "defined_tracking_url": "https://tracking.example.com/track/123",
        "shipping_company": "yurtici",
        "remote_addr": "192.168.0.1",
        "has_gift_box": false,
        "gift_box_note": "Happy Birthday!",
        "language_code": "en",
        "notes": "Leave at the front door.",
        "delivery_range": {
          "start": "2026-01-01T00:00:00.000Z",
          "end": "2026-01-01T00:00:00.000Z"
        },
        "shipping_option_slug": "standard-shipping",
        "created_date": "2026-01-01T00:00:00.000Z",
        "modified_date": "2026-01-01T00:00:00.000Z"
      },
      "channel": {
        "id": 1,
        "name": "Commerce Channel",
        "catalog": 1,
        "channel_type": "web",
        "conf": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "category_tree": "text",
        "is_active": true,
        "schema": {},
        "created_date": "2024-11-20T11:22:23.702774Z",
        "modified_date": "2024-11-20T11:22:23.702774Z"
      },
      "related_invoice": {
        "pk": 1,
        "number": "text",
        "invoice_type": "purchase",
        "order": {
          "pk": 1,
          "number": "ORDER12345",
          "channel": 1,
          "customer": 1,
          "date_placed": "2024-11-20T11:22:23.702774Z",
          "extra_field": {
            "special_note": "Handle with care"
          },
          "payment_option": 1,
          "payment_option_slug": "credit-card",
          "bin_number": "123456",
          "installment": 1,
          "installment_count": 6,
          "installment_interest_amount": 50,
          "cargo_company": 1,
          "is_send": false,
          "delivery_type": "next_day",
          "cancellation_info": {
            "reason": "Customer requested cancellation"
          },
          "cancel_status": "cancelled",
          "shipping_interest_amount": 10,
          "external_status": 1,
          "client_type": "default",
          "carrier_shipping_code": "TRACK12345",
          "segment": "premium",
          "checkout_provider_id": 12345,
          "status": 200,
          "currency": "try",
          "amount": 1000,
          "discount_amount": 50,
          "shipping_amount": 20,
          "shipping_tax_rate": 18,
          "refund_amount": 100,
          "discount_refund_amount": 10,
          "shipping_refund_amount": 5,
          "invoice_number": "INV123456",
          "invoice_date": "2024-11-21T11:22:23.702774Z",
          "e_archive_url": "https://earchive.example.com/invoice/123",
          "tracking_number": "TRACK12345",
          "defined_tracking_url": "https://tracking.example.com/track/123",
          "shipping_company": "yurtici",
          "remote_addr": "192.168.0.1",
          "has_gift_box": false,
          "gift_box_note": "Happy Birthday!",
          "language_code": "en",
          "notes": "Leave at the front door.",
          "delivery_range": {
            "start": "2026-01-01T00:00:00.000Z",
            "end": "2026-01-01T00:00:00.000Z"
          },
          "shipping_option_slug": "standard-shipping",
          "created_date": "2026-01-01T00:00:00.000Z",
          "modified_date": "2026-01-01T00:00:00.000Z"
        },
        "channel": {
          "id": 1,
          "name": "Commerce Channel",
          "catalog": 1,
          "channel_type": "web",
          "conf": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          },
          "category_tree": "text",
          "is_active": true,
          "schema": {},
          "created_date": "2024-11-20T11:22:23.702774Z",
          "modified_date": "2024-11-20T11:22:23.702774Z"
        },
        "related_invoice": {
          "pk": 1,
          "number": "text",
          "invoice_type": "purchase",
          "order": {
            "pk": 1,
            "number": "ORDER12345",
            "channel": 1,
            "customer": 1,
            "date_placed": "2024-11-20T11:22:23.702774Z",
            "extra_field": {
              "special_note": "Handle with care"
            },
            "payment_option": 1,
            "payment_option_slug": "credit-card",
            "bin_number": "123456",
            "installment": 1,
            "installment_count": 6,
            "installment_interest_amount": 50,
            "cargo_company": 1,
            "is_send": false,
            "delivery_type": "next_day",
            "cancellation_info": {
              "reason": "Customer requested cancellation"
            },
            "cancel_status": "cancelled",
            "shipping_interest_amount": 10,
            "external_status": 1,
            "client_type": "default",
            "carrier_shipping_code": "TRACK12345",
            "segment": "premium",
            "checkout_provider_id": 12345,
            "status": 200,
            "currency": "try",
            "amount": 1000,
            "discount_amount": 50,
            "shipping_amount": 20,
            "shipping_tax_rate": 18,
            "refund_amount": 100,
            "discount_refund_amount": 10,
            "shipping_refund_amount": 5,
            "invoice_number": "INV123456",
            "invoice_date": "2024-11-21T11:22:23.702774Z",
            "e_archive_url": "https://earchive.example.com/invoice/123",
            "tracking_number": "TRACK12345",
            "defined_tracking_url": "https://tracking.example.com/track/123",
            "shipping_company": "yurtici",
            "remote_addr": "192.168.0.1",
            "has_gift_box": false,
            "gift_box_note": "Happy Birthday!",
            "language_code": "en",
            "notes": "Leave at the front door.",
            "delivery_range": {
              "start": "2026-01-01T00:00:00.000Z",
              "end": "2026-01-01T00:00:00.000Z"
            },
            "shipping_option_slug": "standard-shipping",
            "created_date": "2026-01-01T00:00:00.000Z",
            "modified_date": "2026-01-01T00:00:00.000Z"
          },
          "channel": {
            "id": 1,
            "name": "Commerce Channel",
            "catalog": 1,
            "channel_type": "web",
            "conf": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "category_tree": "text",
            "is_active": true,
            "schema": {},
            "created_date": "2024-11-20T11:22:23.702774Z",
            "modified_date": "2024-11-20T11:22:23.702774Z"
          },
          "related_invoice": {
            "pk": 1,
            "number": "text",
            "invoice_type": "purchase",
            "order": {
              "pk": 1,
              "number": "ORDER12345",
              "channel": 1,
              "customer": 1,
              "date_placed": "2024-11-20T11:22:23.702774Z",
              "extra_field": {
                "special_note": "Handle with care"
              },
              "payment_option": 1,
              "payment_option_slug": "credit-card",
              "bin_number": "123456",
              "installment": 1,
              "installment_count": 6,
              "installment_interest_amount": 50,
              "cargo_company": 1,
              "is_send": false,
              "delivery_type": "next_day",
              "cancellation_info": {
                "reason": "Customer requested cancellation"
              },
              "cancel_status": "cancelled",
              "shipping_interest_amount": 10,
              "external_status": 1,
              "client_type": "default",
              "carrier_shipping_code": "TRACK12345",
              "segment": "premium",
              "checkout_provider_id": 12345,
              "status": 200,
              "currency": "try",
              "amount": 1000,
              "discount_amount": 50,
              "shipping_amount": 20,
              "shipping_tax_rate": 18,
              "refund_amount": 100,
              "discount_refund_amount": 10,
              "shipping_refund_amount": 5,
              "invoice_number": "INV123456",
              "invoice_date": "2024-11-21T11:22:23.702774Z",
              "e_archive_url": "https://earchive.example.com/invoice/123",
              "tracking_number": "TRACK12345",
              "defined_tracking_url": "https://tracking.example.com/track/123",
              "shipping_company": "yurtici",
              "remote_addr": "192.168.0.1",
              "has_gift_box": false,
              "gift_box_note": "Happy Birthday!",
              "language_code": "en",
              "notes": "Leave at the front door.",
              "delivery_range": {
                "start": "2026-01-01T00:00:00.000Z",
                "end": "2026-01-01T00:00:00.000Z"
              },
              "shipping_option_slug": "standard-shipping",
              "created_date": "2026-01-01T00:00:00.000Z",
              "modified_date": "2026-01-01T00:00:00.000Z"
            },
            "channel": {
              "id": 1,
              "name": "Commerce Channel",
              "catalog": 1,
              "channel_type": "web",
              "conf": {
                "ANY_ADDITIONAL_PROPERTY": "text"
              },
              "category_tree": "text",
              "is_active": true,
              "schema": {},
              "created_date": "2024-11-20T11:22:23.702774Z",
              "modified_date": "2024-11-20T11:22:23.702774Z"
            },
            "related_invoice": "[Circular Reference]"
          }
        }
      }
    }
  ]
}

Last updated

Was this helpful?